package com.example.demo;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/games")
public class GameController {
    private final Logger log = LoggerFactory.getLogger(GameController.class);
    private List<Game> games = new ArrayList<Game>();

    // Получение всех игр
    @GetMapping
    public List<Game> getGames() {
        return games;
    }

    // Получение 1 игры по id
    @GetMapping("/{id}")
    public Game getGame(@PathVariable(name = "id") int id) {
        return games.get(id);
    }

    // Добавление игры
    @PostMapping
    public Game addGame(@RequestBody Game game) {
        games.add(game);
        return game;
    }

    @PutMapping("/{id}")
    public Game updateGame(@PathVariable(name = "id") int id, @RequestBody Game game) {
        games.remove(id);
        games.add(id, game);
        return game;
    }

    @DeleteMapping("/{id}")
    public Game deleteGame(@PathVariable(name = "id") int id) {
        // Удаляемая игра по id
        Game deletedGame = games.get(id);
        games.remove(deletedGame);
        return deletedGame;
    }

}
